# List recommended TikTok LIVE rooms

Returns TikTok LIVE rooms recommended for a topic, given as `related_live_tag` (for example `music`). Category names come from the LIVE recommendation categories endpoint.

- Platform: TikTok V2
- Request: `GET https://api.toolzerhub.com/v2/tiktok/web/live/recommend`
- Auth: `x-api-key` header
- Cost: 2 credits per successful request. Failed requests are not billed.
- Page: https://docs.toolzerhub.com/reference/tiktok-v2/live/get-tik-tok-live-recommend

| Parameter | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `related_live_tag` | query | yes | string | Topic to get recommended LIVE rooms for, for example music. Category names come from the LIVE recommendation categories endpoint. |

## Example request

```bash
curl "https://api.toolzerhub.com/v2/tiktok/web/live/recommend?related_live_tag=<related_live_tag>" \
  -H "x-api-key: $TOOLZERHUB_API_KEY"
```

Success responses are wrapped as `{ "data": ... }`. Errors return `{ "error": { "code", "status", "message", "retryable", "details" } }`. See https://docs.toolzerhub.com/docs/responses-and-errors.
